%define	name	gtkdeskmenu
%define	version	0.8
%define	release	%mkrel	1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Adds menu at the mouse location
Group:		Graphical desktop/Other
License:	GPLv2
URL:		http://gnomefiles.org/content/show.php/GtkDeskMenu?content=156236
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.png
Patch:          %{name}-%{version}-glib.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel atk-devel libpng-devel  
BuildRequires:  pkgconfig gettext-devel fontconfig-devel 
BuildRequires:  pango-devel cairo-devel freetype2-devel
Obsoletes: %name < %version

%description
Gtkdeskmenu is a cute little app that pops up a menu at the mouse
location under 2 situations:

1) you right-click the mouse in an empty part of the desktop, or

2) you send a SUGUSR1(10) to it, eg `killall -SIGUSR1 deskmenu`.

This is good for interfacing with nice window managers like icewm. 


%prep
%setup -q 
%patch -p1

%build
%configure2_5x 
       
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GtkDeskMenu
Comment=Adds menu at the mouse location
Exec=killall -SIGUSR1 deskmenu
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Settings;DesktopSettings;X-MandrivaLinux-System-Configuration-Other;
StartupNotify=true
EOF

#icon
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README VERSION COPYING
%{_bindir}/deskmenu
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jan 04 2013 Ken <lxgator at gmail.com> 0.8-1pclos2013
- initial pkg

